#
#    ALERTCOM.MAK - NMAKE file for ALERTCOM.DLL
#
#    Copyright (c) e. g. Software Inc, 1993.  All Rights Reserved.
#
#                e. g. Software Inc.
#                319 SW Washington
#                Suite 706
#                Portland OR, 97204
#                (503) 294-7025
#                (503) 294-7130 FAX
# 
#	$Header:     $
#
#	$Log:     $
#

PROGRAM_NAME=ALERTCOM
RELEASE_NAME=ALERTCOM.DLL

Compile= $(CDebug)
#Compile= $(CRelease)

# C compilier switches
#CDebug=   -c -Od -Answ -G2 -GD -Gs -W3 -Z7p -Iinc -Irc -Fo$@
CDebug=   -c -ALw -G2 -GD -Gs -W2 -Z7p -Iinc -Irc -Fo$@
CRelease= -c -ALw -G2 -GD -Gs -W2 -Z7p -Iinc -Irc -Fo$@

RELEASE_PATH=.

# Include variables, in place of SET INCLUDE=.....
NETWARE_INC=..\..\windev\_global\netware\include
NETWARE_LIB=..\..\windev\_global\netware

OBJECTS1=obj\$(PROGRAM_NAME).obj obj\libentry.obj src\$(PROGRAM_NAME).def
OBJECTS2=$(PROGRAM_NAME).lnk $(PROGRAM_NAME).mak

# Build setup procedures
_StartUp : $(RELEASE_PATH)\$(RELEASE_NAME)
_DelAll :
#
!	IF EXIST(obj) == 0
	  @md obj
!	ENDIF
#
	@del $(RELEASE_PATH)\$(RELEASE_NAME)
	@del obj\*.obj

# Possible CMDLINE options {ALL | DEBUG | RELEASE}
ALL : _DelAll $(RELEASE_PATH)\$(RELEASE_NAME)

$(RELEASE_PATH)\$(RELEASE_NAME) : $(OBJECTS1) $(OBJECTS2)
#
!	IF EXIST(obj) == 0
	  @md obj
!	ENDIF
#
	@link @$(PROGRAM_NAME).lnk
        @implib $(PROGRAM_NAME).lib src\$(PROGRAM_NAME).def

src\$(PROGRAM_NAME).h : src\acpglbls.h
src\$(PROGRAM_NAME).c : src\$(PROGRAM_NAME).h 

{src}.c{obj}.obj :
#
!	IF EXIST(obj) == 0
	  @md obj
!	ENDIF
#
	@cl -I$(NETWARE_INC) $(Compile) $< 

{src}.asm{obj}.obj :
#
!	IF EXIST(obj) == 0
	  @md obj
!	ENDIF
#
        @masm /T/W2/V/MX $<, $@;

