/***********************************************************************/
/*    ALRTTRK.H                                                        */
/*                                                                     */
/*                                                                     */
/*    Copyright (c) e. g. Software Inc, 1993.  All Rights Reserved.    */
/*                                                                     */
/*                e. g. Software Inc.                                  */
/*                319 SW Washington Suite 706                          */
/*                Portland OR, 97204                                   */
/*                (503) 294-7025                                       */
/*                (503) 294-7130 FAX                                   */
/*                                                                     */
/***********************************************************************/

#include	"alrtglbl.h"

/****************************************************************************/
/* Send a message to an AlertTrack server                                   */
/*                                                                          */
/* The alert is addressed to a recipient in the system which should         */
/* be configured to receive the alert through the different devices.        */
/*                                                                          */
/* BYTE *lpszServerName  - AlertTrack server name                           */
/* BYTE *lpszRecipient   - Recipient Name                                   */
/* BYTE *lpszFromAppName - Sending application name                         */
/* BYTE *lpszMessage       - The actual message                             */
/* BYTE  yPriority       - Priority (0-highest, 5-lowest)                   */
/*                                                                          */
/****************************************************************************/
BYTE	AlertTrack_SendAlert(BYTE *lpszServerName,
                           BYTE *lpszRecipient,
                           BYTE *lpszFromAppName,
                           BYTE *lpszMessage,
                           BYTE yPriority);

